# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTipDatabase Class Reference

A database for tips-of-the-day. More...

`#include <ktip.h>`

Collaboration diagram for KTipDatabase:

[legend]
List of all members.

## Public Member Functions

| KTipDatabase (const QString &tipFile=QString::null)
| KTipDatabase (const QStringList &tipFiles)
QString | tip () const
void | nextTip ()
void | prevTip ()

## Detailed Description

A database for tips-of-the-day.

This class provides convenient access to a database containing tips of the day. The database is stored in a XML file and parsed when a KTipDatabase object is created.

Once the file is read in, you can access the tips to display them in the tip of the day dialog.

The state of the tipdialog is saved to the applications's config file in the group "TipOfDay" with a bool entry "RunOnStart". Check this value if you want to allow the user to enable/disable the tipdialog in the application's configuration dialog.

Author:
  Matthias Hoelzer-Kluepfel <mhk@kde.org>

Definition at line 55 of file ktip.h.

## Constructor & Destructor Documentation

KTipDatabase::KTipDatabase | ( | const QString & | tipFile = `QString::null` | ) |

This constructor reads in the tips from a file with the given name.

If no name is given, a file called 'application-name/tips' will be loaded.

Parameters:

  | tipFile | The absolute path to the tips file.

Definition at line 55 of file ktip.cpp.

References QString::fromLatin1(), and QString::isEmpty().

KTipDatabase::KTipDatabase | ( | const QStringList & | tipFiles | ) |

This constructor takes a list of files that will be merged.

This constructor essentially behaves like the one above. It returns when tipFiles is empty.

Parameters:

  | tipFiles | A list of absolute paths to the tips file

Definition at line 68 of file ktip.cpp.

## Member Function Documentation

QString KTipDatabase::tip | ( |  | ) | const

| Returns the current tip. Definition at line 158 of file ktip.cpp.

void KTipDatabase::nextTip | ( |  | ) |

| The next tip will become the current one. Definition at line 138 of file ktip.cpp.

void KTipDatabase::prevTip | ( |  | ) |

| The previous tip will become the current one. Definition at line 148 of file ktip.cpp.

The documentation for this class was generated from the following files:

- ktip.h
- ktip.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:30 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003